Wallets, tokens & networks

Update Network Enabled

Toggles isNetworkEnabled on an org network, enforcing EVM endpoint invariants when enabling.

POSThttps://api.toku.com/stablecoin-payroll/update-network-enabled

Not available to API keys yet. It will need wallets:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/update-network-enabled' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "networkId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "isEnabled": true
}'
200 response
{
  "success": true,
  "networkId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "isEnabled": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

networkIdstring<uuid>required
isEnabledbooleanrequired

Response

200Successful response
successbooleanrequired
networkIdstring<uuid>required
isEnabledbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits